#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  QSL\EBay\Core\Task\ImportOrders:
    tags:
      - {name: kernel.event_listener, event: xcart.cronjob, method: handleTask}

  QSL\EBay\Core\Task\ExportProducts:
    tags:
      - {name: kernel.event_listener, event: xcart.cronjob, method: handleTask}

  QSL\EBay\Core\Task\ImportItems:
    tags:
      - {name: kernel.event_listener, event: xcart.cronjob, method: handleTask}

  QSL\EBay\Core\Task\UpdateOrderStatus:
    tags:
      - {name: kernel.event_listener, event: xcart.cronjob, method: handleTask}

x_cart:
  modules:
    QSL-EBay:
      force_upload_ebay_categories: false
      add_ebay_product_id_to_product_export: false
      no_specifics_in_inventory_export: false
